Bug 231888 - [NEW PORT] devel/pear-geshi: PHP-based syntax highlighter installed via pear
Summary: [NEW PORT] devel/pear-geshi: PHP-based syntax highlighter installed via pear
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-02 22:02 UTC by Michael Osipov
Modified: 2019-02-03 01:39 UTC (History)
2 users (show)

See Also:


Attachments
shar file (1.30 KB, text/plain)
2018-10-02 22:02 UTC, Michael Osipov
no flags Details
Poudriere logs (11.29 KB, application/x-zip-compressed)
2018-10-02 22:03 UTC, Michael Osipov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Osipov 2018-10-02 22:02:17 UTC
Created attachment 197722 [details]
shar file

This is a PHP-based syntax highlighter installed via pear through the already available devel/pear-channel-geshi.
Comment 1 Michael Osipov 2018-10-02 22:03:29 UTC
Created attachment 197723 [details]
Poudriere logs

Attached poudriere logs for 10.4-REALEASE, 11.2-RELASE and 12.0-ALPHA7
Comment 2 Michael Osipov 2018-10-02 22:04:18 UTC
As soon as this port is committed, please add this port and the parent devel/pear-channel-geshi to the parent devel/Makefile.
Comment 3 Nathan 2018-10-02 22:28:54 UTC
Don't include poudriere logs unless requested as it fills up the database
Comment 4 Michael Osipov 2018-10-04 07:32:17 UTC
(In reply to Nathan from comment #3)

Alright. I remember koobs@ requesting them to boost commit propability.
Comment 5 Michael Osipov 2018-11-20 15:01:16 UTC
Can someone have a look please?
Comment 6 commit-hook freebsd_committer 2019-02-03 01:38:58 UTC
A commit references this bug:

Author: jmd
Date: Sun Feb  3 01:38:48 UTC 2019
New revision: 492023
URL: https://svnweb.freebsd.org/changeset/ports/492023

Log:
  new port: devel/pear-geshi

  PHP-based syntax highlighter installed via pear.

  PR:		231888
  Submitted by:	Michael Osipov <michael.osipov@siemens.com>

Changes:
  head/devel/Makefile
  head/devel/pear-geshi/
  head/devel/pear-geshi/Makefile
  head/devel/pear-geshi/distinfo
  head/devel/pear-geshi/pkg-descr
Comment 7 Johannes M Dieterich freebsd_committer 2019-02-03 01:39:51 UTC
Committed - thank you for your contribution!